DtWsmChangeBackdrop(API)

NAME
DtWsmChangeBackdrop — set current workspace's backdrop

SYNOPSIS

#include &<Dt/Wsm.h>
int DtWsmChangeBackdrop(
Display *display,
Window root,
char *path,
Pixmap pixmap);

DESCRIPTION

The DtWsmChangeBackdrop function works with the CDE workspace manager, dtwm(1), and changes the current workspace's backdrop. Applications can use this function to implement an interface to the workspace manager.

If the DtWsmChangeBackdrop function is not successful, the most likely reason for failure is that the CDE workspace manager, dtwm(1), is not running.

DtWsmChangeBackdrop sends a message to the CDE workspace manager, dtwm(1), to change the backdrop.

The path argument points to a backdrop file name. The file must be in either X Bitmap file format (with extension .bm) or Pixmap file format (with extension .pm). The workspace management services look for the file along the same path used for searching icons. The directory /usr/pkg/dt/backdrops is the default directory if the file cannot be found along the icon search path.

ARGUMENTS

display
    display

root
    root window of the screen

path
    file path to bitmap file

pixmap
    pixmap ID of backdrop pixmap

SEE ALSO

DtWsm(5)

"Communicating with the Workspace Manager" section in the CDE Programmer's Guide

"Workspace Manager" section in the CDE Programmer's Overview